#ifndef CtrlDBH
#define CtrlDBH

#ifdef _CTRLDB_BPL
  #define PACKAGE_CTRLDB __declspec( dllexport)
#else
  #define PACKAGE_CTRLDB __declspec( dllimport)
#endif

#include <DB.hpp>
#include "s:\packages\CtrlStd\CtrlStd.h"
#include "s:\packages\EIC\CCurrency.h"

void __fastcall AffecterParam(TParam *Parametre,const CCurrency &CCur)
{
  if (CCur.Vide)
    {
      Parametre->Clear();
      Parametre->Bound = true;
    }
  else
    Parametre->AsCurrency = CCur;
}
void __fastcall AffecterParam(TParam *Parametre,double d)
{
  if (d == D_NS)
    {
      Parametre->Clear();
      Parametre->Bound = true;
    }
  else
    Parametre->AsCurrency = d;
}
#ifdef _DEBUG
  #include <IBDatabase.hpp>
  void PACKAGE_CTRLDB VerifieDesallocComposantsFB( const TIBDatabase* db);
#else
#define	VerifieDesallocComposantsFB( db)
#endif
#endif
